org.apache.fop.events

## Class FOPEventListenerProxy

- java.lang.Object
- - org.apache.fop.events.FOPEventListenerProxy

- All Implemented Interfaces:
    EventListener

      public class FOPEventListenerProxy
      extends Object
      implements EventListener

  EventListener proxy that inspects all events and adjusts severity levels where necessary. For validation events, it reacts on each event based on the strict validation setting in the user agent. For layout events, it reduces the default severity level if FOP signals that it can recover from the event.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FOPEventListenerProxy(EventListener delegate, FOUserAgent userAgent)` Main constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `processEvent(Event event)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FOPEventListenerProxy

          public FOPEventListenerProxy(EventListener delegate,
                                       FOUserAgent userAgent)

      Main constructor.
      Parameters:
        `delegate` - the event listener to delegate events to
        `userAgent` - the FO user agent

  - ### Method Detail

    - #### processEvent

          public void processEvent(Event event)

Copyright © 2023 Apache Software Foundation. All rights reserved.